Models/Tb_VisaPayment.cs
namespace SSCMvc.Models
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel.DataAnnotations;
    public class Tb_VisaPayment
    {
        public int Id { get; set; }
        
        public Nullable<int> StudentId { get; set; }

        [Display(Name = "Student Type")]
        public string StudentType { get; set; }

        [Display(Name = "Amount")]
        [Required(ErrorMessage="*")]
        public Nullable<double> AmountPaid { get; set; }

        [Display(Name = "Payment Mode")]
        public string PaymentMode { get; set; }

     
        [Display(Name = "Cheque/DD No")]
        public string ChequeNo { get; set; }

 
        [Display(Name = "Cheque/DD Date")]
        [DataType(DataType.Date)]
        public Nullable<DateTime> ChequeDate { get; set; }


        [Display(Name = "Bank Name")]
        public string BankName { get; set; }
        public Nullable<int> UserId { get; set; }
        public Nullable<int> BranchId { get; set; }




        [Required(ErrorMessage = "*")]
        [DataType(DataType.Date)]
        public Nullable<DateTime> CDate { get; set; }
        public Nullable<bool> Status { get; set; }

         [StringLength(500,ErrorMessage="Only 500 Chars")]
        public string Remarks { get; set; }

        public string EnqType { get; set; }  //extra property to check for Enquiry or admission




        public virtual User User { get; set; }
        public virtual MaBranch MaBranch { get; set; }

    }
}

Models/VisaStudentBean.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace SSCMvc.Models
{
    public class VisaStudentBean
    {
        public int StudentId { get; set; }
        public int Visaid { get; set; }
        public Nullable<int> MockIELTSid { get; set; }
        public string EntryType { get; set; }
        public string type { get; set; }
        public string TestType { get; set; }
        public string SName { get; set; }
        public string Mobile { get; set; }
        public string Counselor { get; set; }
        public Nullable<int> Cid { get; set; }
        public double? EnqryOvlscr { get; set; }
        public string followtype { get; set; }
        public int? rollno { get; set; }

        public int? admissionid { get; set; }
        public int? enquiryid { get; set; }

        public int? branchid { get; set; }

        public DateTime? followupdate { get; set; }
        public string remarks { get; set; }
        public string status { get; set; }
        public string lastupdated { get; set; }

    }


    public class PendingVisaStudentBean
    {
        public int? referid { get; set; }
        public int Visaid { get; set; }
        public Nullable<int> rollno { get; set; }
        public string EntryType { get; set; }
        public string type { get; set; }
        public string SName { get; set; }
        public string Mobile { get; set; }
        public string Counselor { get; set; }
        public string followtype { get; set; }




        public DateTime? followupdate { get; set; }
        public string remarks { get; set; }
        public string status { get; set; }
        public string lastupdated { get; set; }

    }


}

Controllers/Tb_VisaPaymentController.cs
using System;
using System.Collections.Generic;
using System.Data;
using System.Data.Entity;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using SSCMvc.Models;
using System.Data.Entity.Validation;
using System.Diagnostics;
using SSCMvc.Webutil;

namespace SSCMvc.Controllers
{
    [Authorize]
    public class Tb_VisaPaymentController : Controller
    {
        private SSCWebDBEntities1 db = new SSCWebDBEntities1();

        //
        // GET: /Tb_VisaPayment/

        public ActionResult Index()
        {
            try
            {
                int roleid = StaticLogic.RoleId();
                bool Prmsn = false;
                Prmsn = Permission.CheckPermission(roleid, CommonUtil.VisaStudent, UserAction.View);

                if (Prmsn == false)
                {
                    return View("~/Views/Shared/AccessDenied.cshtml");
                }

            }
            catch (Exception)
            {
            }



            var tb_visapayment = db.Tb_VisaPayment.Include(t => t.MaBranch).Include(t => t.User);
            return View(tb_visapayment.ToList());
        }

        //
        // GET: /Tb_VisaPayment/Details/5

        public ActionResult Details(int id = 0)
        {
            try
            {
                int roleid = StaticLogic.RoleId();
                bool Prmsn = false;
                Prmsn = Permission.CheckPermission(roleid, CommonUtil.VisaStudent, UserAction.View);

                if (Prmsn == false)
                {
                    return View("~/Views/Shared/AccessDenied.cshtml");
                }

            }
            catch (Exception)
            {
            }




            Tb_VisaPayment tb_visapayment = db.Tb_VisaPayment.Find(id);
            if (tb_visapayment == null)
            {
                return HttpNotFound();
            }
            return View(tb_visapayment);
        }

        //
        // GET: /Tb_VisaPayment/Create

        public ActionResult Create(int id, string enqtype, string stype)
        {
            try
            {
                int roleid = StaticLogic.RoleId();
                bool Prmsn = false;
                Prmsn = Permission.CheckPermission(roleid, CommonUtil.VisaStudent, UserAction.Add);
                string chbranch = Request.Cookies["chbranch"].Value;

                if (Prmsn == false || chbranch == "Y")
                {
                    return View("~/Views/Shared/AccessDenied.cshtml");
                }

            }
            catch (Exception)
            {
            }



            Tb_VisaPayment objVisa = new Tb_VisaPayment();
            objVisa.StudentId = id;
            objVisa.StudentType = stype;

            objVisa.Status = true;
            objVisa.EnqType = enqtype;


            ViewBag.enqtype = enqtype;
            ViewBag.stype = stype;
            ViewBag.BranchId = new SelectList(db.MaBranches, "Id", "BramchName");
            ViewBag.UserId = new SelectList(db.Users, "Id", "FullName");
            return View(objVisa);
        }

        //
        // POST: /Tb_VisaPayment/Create

        [HttpPost]
        public ActionResult Create(Tb_VisaPayment tb_visapayment)
        {
            try
            {
                int roleid = StaticLogic.RoleId();
                bool Prmsn = false;
                Prmsn = Permission.CheckPermission(roleid, CommonUtil.VisaStudent, UserAction.Add);

                if (Prmsn == false)
                {
                    return View("~/Views/Shared/AccessDenied.cshtml");
                }

            }
            catch (Exception)
            {
            }




            string enqtype = Request.QueryString["enqtype"];
            string stype = Request.QueryString["stype"];
            int usrid = Convert.ToInt32(Request.Cookies[CommonUtil.CookieUserid].Value);
            int branchid = Convert.ToInt32(Request.Cookies[CommonUtil.CookieBranchid].Value);
            tb_visapayment.BranchId = branchid;
            tb_visapayment.UserId = usrid;

            if (tb_visapayment.PaymentMode != "Cash")
            {
                if (tb_visapayment.BankName == "" || tb_visapayment.ChequeDate == null || tb_visapayment.ChequeNo == "")
                {
                    ViewBag.enqtype = enqtype;
                    ViewBag.BranchId = new SelectList(db.MaBranches, "Id", "BramchName", tb_visapayment.BranchId);
                    ViewBag.UserId = new SelectList(db.Users, "Id", "Password", tb_visapayment.UserId);
                    ViewBag.err = "Please Fill FullDetail of Cheque/DD";
                    return View(tb_visapayment);

                    // return RedirectToAction("Create", new { @id = tb_visapayment.StudentId, @enqtype = enqtype, @stype = stype, @err = "Please Fill FullDetail of Cheque/DD" });
                }
            }


            try
            {
                db.Tb_VisaPayment.Add(tb_visapayment);
                db.SaveChanges();
                return RedirectToAction("VisaStudents");
            }

            catch (DbEntityValidationException dbEx)
            {
                foreach (var validationErrors in dbEx.EntityValidationErrors)
                {
                    foreach (var validationError in validationErrors.ValidationErrors)
                    {
                        Trace.TraceInformation("Property: {0} Error: {1}", validationError.PropertyName, validationError.ErrorMessage);
                        ViewBag.err = "Please Fill FullDetail of Cheque/DD";
                        // return RedirectToAction("Create", new { @id = tb_visapayment.StudentId, @enqtype = enqtype, @stype = stype, @err = "Please Fill FullDetail of Cheque/DD" });
                    }
                }

            }


            ViewBag.enqtype = enqtype;
            ViewBag.BranchId = new SelectList(db.MaBranches, "Id", "BramchName", tb_visapayment.BranchId);
            ViewBag.UserId = new SelectList(db.Users, "Id", "Password", tb_visapayment.UserId);
            return View(tb_visapayment);
        }

        //
        // GET: /Tb_VisaPayment/Edit/5

        public ActionResult Edit(int id = 0)
        {
            try
            {
                int roleid = StaticLogic.RoleId();
                bool Prmsn = false;
                Prmsn = Permission.CheckPermission(roleid, CommonUtil.VisaStudent, UserAction.Edit);
                string chbranch = Request.Cookies["chbranch"].Value;

                if (Prmsn == false || chbranch == "Y")
                {
                    return View("~/Views/Shared/AccessDenied.cshtml");
                }

            }
            catch (Exception)
            {
            }




            Tb_VisaPayment tb_visapayment = db.Tb_VisaPayment.Find(id);
            if (tb_visapayment == null)
            {
                return HttpNotFound();
            }
            ViewBag.BranchId = new SelectList(db.MaBranches, "Id", "BramchName", tb_visapayment.BranchId);
            ViewBag.UserId = new SelectList(db.Users, "Id", "Password", tb_visapayment.UserId);
            return View(tb_visapayment);
        }

        //
        // POST: /Tb_VisaPayment/Edit/5

        [HttpPost]
        public ActionResult Edit(Tb_VisaPayment tb_visapayment)
        {

            try
            {
                int roleid = StaticLogic.RoleId();
                bool Prmsn = false;
                Prmsn = Permission.CheckPermission(roleid, CommonUtil.VisaStudent, UserAction.Edit);

                if (Prmsn == false)
                {
                    return View("~/Views/Shared/AccessDenied.cshtml");
                }

            }
            catch (Exception)
            {
            }




            int branchid = Convert.ToInt32(Request.Cookies[CommonUtil.CookieBranchid].Value);
            int userid = Convert.ToInt32(Request.Cookies[CommonUtil.CookieUserid].Value);
            tb_visapayment.BranchId = branchid;
            tb_visapayment.UserId = userid;
            if (ModelState.IsValid)
            {
                db.Entry(tb_visapayment).State = System.Data.Entity.EntityState.Modified;
                db.SaveChanges();
                return Content("Success");
            }
            ViewBag.BranchId = new SelectList(db.MaBranches, "Id", "BramchName", tb_visapayment.BranchId);
            ViewBag.UserId = new SelectList(db.Users, "Id", "Password", tb_visapayment.UserId);
            return View(tb_visapayment);
        }

        //
        // GET: /Tb_VisaPayment/Delete/5
        [AcceptVerbs(HttpVerbs.Post)]
        public ActionResult Delete(int id = 0)
        {
            try
            {
                int roleid = StaticLogic.RoleId();
                bool Prmsn = false;
                Prmsn = Permission.CheckPermission(roleid, CommonUtil.VisaStudent, UserAction.Delete);

                if (Prmsn == false)
                {
                    return View("~/Views/Shared/AccessDenied.cshtml");
                }

            }
            catch (Exception)
            {
            }



            try
            {
                Tb_VisaPayment tb_visapayment = db.Tb_VisaPayment.Find(id);
                db.Tb_VisaPayment.Remove(tb_visapayment);
                db.SaveChanges();
                return Content(Boolean.TrueString);
            }
            catch (Exception ex)
            {
                return JavaScript("errormessage();");
            }
        }

        //
        // POST: /Tb_VisaPayment/Delete/5

        //[HttpPost, ActionName("Delete")]
        //public ActionResult DeleteConfirmed(int id)
        //{
        //    Tb_VisaPayment tb_visapayment = db.Tb_VisaPayment.Find(id);
        //    db.Tb_VisaPayment.Remove(tb_visapayment);
        //    db.SaveChanges();
        //    return RedirectToAction("Index");
        //}

        protected override void Dispose(bool disposing)
        {
            db.Dispose();
            base.Dispose(disposing);
        }

Views/Tb_VisaPayment/VisaStudents.cshtml
@using SSCMvc.Webutil;
@using SSCMvc.Models;
@model IEnumerable<SSCMvc.Models.VisaStudentBean>
@{
    ViewBag.Title = "Visa Students";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
@section scripts{
    <script src="@Url.Content("~/Scripts/jquery.validate.min.js")" type="text/javascript"></script>
    <script src="@Url.Content("~/Scripts/jquery.validate.unobtrusive.min.js")" type="text/javascript"></script>
    @Content.Script("ChildAddEdit.js", Url)
    @Content.Script("jquery.tablesorter.js", Url)
    @Content.Script("jquery.tablesorter.pager.js", Url)

    <style type="text/css">
        div.box div.overlay {
            display: none;
        }
    </style>
    <script type="text/javascript">
        $(function () {
            $(".box").hover(function () {
                $(this).find(".overlay").fadeIn();
            }
                            , function () {
                                $(this).find(".overlay").fadeOut();
                            }
                           );
        });
    </script>

    <script type="text/javascript">
        $(document).ready(function () {

            $("#txtstatus").val($("#hdnstatus").val());
            $("#txtentertype").val($("#hdnentertype").val());
            $("#txtlastupdated").val($("#hdnlastupdated").val());


            $("#pagng").css('width', '80px');

            $("#txtRoll").css('width', '150px');

            $("#txtName").css('width', '150px');

            $("#txtlastupdated").css('width', '120px');




            $("#txtMobile").css('width', '100px');

            $("#txtentertype").css('width', '180px');

            $("#txtstatus").css('width', '120px');

            $("#txtpageno").css('width', '100px');

            // $(':text').css('width', '150px');

            $(":text").keypress(function (event) {

                //filter enter key only
                if (event.keyCode == 13) {
                    Search();
                }
                return true;
            });

            $("#btnSearch").click(function () {

                Search();
            });

        });


        function Search() {
            var roll = $("#txtRoll").val();
            var sname = $("#txtName").val();
            var mob = $("#txtMobile").val();
            var entertype = $("#txtentertype option:selected").val();
            var status = $("#txtstatus").val();
            var lastupdated = $("#txtlastupdated option:selected").val();
            window.location.href = "/Tb_VisaPayment/VisaStudents?roll=" + roll + "&sname=" + sname + "&mob=" + mob + "&entertype=" + entertype + "&status=" + status + "&lastupdated=" + lastupdated;
        }

    </script>
    <script type="text/javascript">
        $("#pagng").css('width', '80px');
        $("#txtpageno").css('width', '100px');
        $(function () {

            $(".table").tablesorter({ widthFixed: true })
              .tablesorterPager({ container: $("#pager"), size: $(".pagesize option:selected").val() });
        });
    </script>

}
@{
    SSCWebDBEntities1 db = new SSCWebDBEntities1();
}
<div class="header">
    <div class="stats">
    </div>
    <h1 class="page-title">
        Visa Students List
    </h1>
</div>
<ul class="breadcrumb">
    @{string utype = Request.Cookies[CommonUtil.CookieUsertype].Value;
    string refadd = CommonUtil.HomeAddress(utype);
    }
    <li><a href="@refadd">Home</a> <span class="divider">/</span></li>
    <li class="active">Dashboard</li>
</ul>
<table align="center" width="80%">
    <tr>
        <th align="left">
            REFERENCE NO
        </th>
        <th align="left">
            Name
        </th>
        <th align="left">
            Mobile No
        </th>
        <th>
            Enter Type
        </th>
        <th>
            Status
        </th>
        <th>
            Last Updated
        </th>
        <th>
        </th>
    </tr>
    <tr>
        <td>
            <input id="txtRoll" type="text" value="@ViewBag.roll" />
        </td>
        <td>
            <input id="txtName" type="text" value="@ViewBag.sname" />
        </td>
        <td>
            <input id="txtMobile" type="text" value="@ViewBag.mob" />
        </td>
        <td>
            <select id="txtentertype">
                <option value="">All</option>
                <option value="Enquiry">Enquiry</option>
                <option value="Enquiry IELTS">Enquiry IELTS</option>
                <option value="Prosp. Students IELTS">Prosp. Students IELTS</option>
                <option value="Prosp. Students Mock Test">Prosp. Students Mock Test</option>
            </select>
            <input id="hdnentertype" type="hidden" value="@ViewBag.entertype" />
            @*<input id="txtentertype" type="text" value="@ViewBag.entertype" />*@
        </td>
        <td>
            <select id="txtstatus">
                <option value="All">All</option>
                <option value="Open">Open</option>
                <option value="Close">Close</option>
                <option value="Registered">Registered</option>
            </select>
            <input id="hdnstatus" type="hidden" value="@ViewBag.status" />
        </td>

        <td>
            @Html.DropDownList("txtlastupdated", (SelectList)ViewBag.val, "Select")@*,(SelectList)ViewBag.val, "Select"*@
            <input id="hdnlastupdated" type="hidden" value="@ViewBag.lastupdated" />
            @*<input id="txtlastupdated" type="text" value="@ViewBag.lastupdated" />*@
        </td>

        <td valign="top">
            <input type="button" id="btnSearch" value="Search" class="btn btn-primary" />
        </td>
    </tr>
</table>
<div class="container-fluid">
    <div class="row-fluid">
        <div class="btn-toolbar">
            <div class="btn-group">
            </div>
        </div>
        <p class="datail_style">
            <table width="100%" align="center">
                <tr>
                    <td align="left" width="50%"></td>
                    <td align="right" width="50%">
                        Total: @ViewBag.TotalCount
                    </td>
                </tr>
            </table>
        </p>
        <div class="well">
            <table class="table">
                <thead>
                    <tr>
                        <th>
                            REFERENCE NO
                        </th>
                        <th>
                            Entry Type
                        </th>
                        <th>
                            Name
                        </th>
                        <th>
                            Mobile No
                        </th>
                        <th>
                            Next Followup Date
                        </th>
                        <th>
                            Status
                        </th>
                        <th>
                            Remarks
                        </th>

                        <th>
                            Last Followup Updated
                        </th>
                        <th></th>
                    </tr>
                </thead>
                <tbody>
                    @{int i = 0;
                    string bgcolor = "Open";
                    var lst = Model.ToList();
                    }
                    @foreach (var item in lst)
                    {

                        if (item != null)
                        {
                            if (item.status == CommonUtil.selected)
                            {
                                bgcolor = "Registered";
                            }
                            else
                            {
                                bgcolor = CommonUtil.BugStatusOpen;
                            }
                            i++;

                            <tr class="@bgcolor">
                                <td>
                                    @item.StudentId
                                </td>
                                <td>
                                    @item.EntryType
                                    <br />
                                </td>
                                <td>
                                    @item.SName
                                </td>
                                <td>
                                    @item.Mobile
                                </td>
                                <td>
                                    @{string follwupdate = string.Format("{0:dd MMM,yyyy}", item.followupdate);}
                                    @follwupdate
                                </td>
                                <td>
                                    @item.status
                                </td>
                                <td>
                                    @{
                                    string rem = item.remarks;

                                    if (rem != null)
                                    {
                                        if (rem.Length > 20)
                                        {
                                            string sustrg = rem.Substring(0, 20);
                                            @sustrg
                                            <br />
                                            <div class="box">
                                                <a id="remarks">Read-More...</a>
                                                <div class="overlay">
                                                    @rem
                                                </div>
                                            </div>
                                        }
                                        else
                                        {
                                            @rem
                                        }
                                    }
                                    }
                                </td>
                                <td>

                                    @item.lastupdated
                                </td>
                                <td>

                                    @{

                            if (item.type == "Admission")
                            {
                                int admisnid = db.MaAdmissions.Where(z => z.RollNo == item.StudentId).Select(z => z.Id).FirstOrDefault();
                                @Html.ImageActionLink("../../Content/themes/base/images/sicon3.png", "Follow Up", "_VisaCreate", "MaEnqFollow", new { id = item.MockIELTSid, @visaid = item.Visaid, @vid = item.StudentId, @reftype = item.followtype, @name = item.SName }, new { @class = "editAcBtn" }, null)


                                        @Html.ImageActionLink("../../Content/themes/base/images/VisaDetail.png", "AddVisaDetail", "Create", "Tb_VisaPayment", new { id = item.StudentId, @referid = item.MockIELTSid, visaid = item.Visaid, @reftype = item.followtype, @enqtype = item.type, @targat = "_blank" }, null, null)

                            }
                            else
                            {
                                @Html.ImageActionLink("../../Content/themes/base/images/sicon3.png", "Follow Up", "_VisaCreate", "MaEnqFollow", new { id = item.MockIELTSid, @visaid = item.Visaid, @vid = item.StudentId, @reftype = item.followtype, @name = item.SName }, new { @class = "editAcBtn" }, null)


                                        @Html.ImageActionLink("../../Content/themes/base/images/VisaDetail.png", "AddVisaDetail", "Create", "Tb_VisaPayment", new { id = item.StudentId, @referid = item.MockIELTSid, @visaid = item.Visaid, @reftype = item.followtype, @enqtype = item.type, @targat = "_blank" }, null, null)


                            }
                                    }

                                </td>
                            </tr>
                        }
                    }

                </tbody>
            </table>
        </div>
    </div>
</div>
<table width="100%" align="center">
    <tr>
        <td align="left" width="50%">
            @Html.Partial("_Pager")
        </td>
    </tr>
</table>
<div id="editDialog" title="Add Visa Follow Up" style="width: 556px">
</div>

Views/Tb_VisaPayment/_Edit.cshtml
@using System.Web.UI.WebControls;
@model SSCMvc.Models.Tb_VisaPayment
@{
    ViewBag.Title = "Edit";
}
<h2>
    Edit</h2>
@using (Ajax.BeginForm("Edit", "Tb_VisaPayment", null,
        new AjaxOptions
        {
            UpdateTargetId = "update-messageStatus",
            InsertionMode = InsertionMode.Replace,
            HttpMethod = "POST",
            OnSuccess = "updateSuccessStatus"
        }, new { @id = "updateCustAcHistory" }))
{
    @Html.ValidationSummary(true)
    <div id="update-messageStatus" class="error invisible">
    </div>
    <fieldset>
        <legend>Tb_VisaPayment</legend>
        @Html.HiddenFor(model => model.Id)
        @Html.HiddenFor(model => model.StudentId)
        @Html.HiddenFor(model => model.StudentType)
        <table>
            <tr>
                <td align="left" class="editor-label">
                    Date
                </td>
                <td align="left" class="editor-field">
                    @Html.EditorFor(model => model.CDate)
                    @Html.ValidationMessageFor(model => model.AmountPaid)
                </td>
                <td>
                 @Html.LabelFor(model => model.AmountPaid)
                </td>
                <td>
                 @Html.EditorFor(model => model.AmountPaid)
                    @Html.ValidationMessageFor(model => model.AmountPaid)
                </td>
            </tr>
            <tr>
                <td class="editor-label">
                    @Html.LabelFor(model => model.PaymentMode)
                </td>
                <td class="editor-field">
                    @{
    var payopt = new List<ListItem>();

    payopt.Add(new ListItem { Text = "Cash", Value = "Cash" });
    payopt.Add(new ListItem { Text = "Cheque", Value = "Cheque" });
    payopt.Add(new ListItem { Text = "DD", Value = "DD" });
                  
        
   
                              
                    }
                    @Html.DropDownListFor(model => model.PaymentMode, new SelectList(payopt), new { @id = "newdrop", onLoad = "Showoption();", onChange = "Showoption();" })
                    @Html.ValidationMessageFor(model => model.PaymentMode)
                </td>
                <td class="editor-label">
                   Remarks
                </td>
                <td class="editor-field">
                   @Html.TextAreaFor(model=>model.Remarks)
                </td>
            </tr>
 
        </table>
        <table width="80%" id="paydetailedit">
            <tr>
                <td align="left" class="editor-label">
                    <table>
                        <tr>
                            <td>@Html.LabelFor(model => model.ChequeNo)
                            </td>
                            <td>
                                <span class="color_style">*</span>
                            </td>
                        </tr>
                    </table>
                </td>
                <td align="left" class="editor-field">
                    @Html.EditorFor(model => model.ChequeNo)
                    @Html.ValidationMessageFor(model => model.ChequeNo)
                </td>
                <td align="left" class="editor-label">
                    <table>
                        <tr>
                            <td>
                                @Html.LabelFor(model => model.ChequeDate)
                            </td>
                            <td>
                                <span class="color_style">*</span>
                            </td>
                        </tr>
                    </table>
                </td>
                <td align="left" class="editor-field">
                    @Html.EditorFor(model => model.ChequeDate)
                    @Html.ValidationMessageFor(model => model.ChequeDate)
                </td>
            </tr>
            <tr>
                <td align="left" class="editor-label">
                    <table>
                        <tr>
                            <td>@Html.LabelFor(model => model.BankName)
                            </td>
                            <td>
                                <span class="color_style">*</span>
                            </td>
                        </tr>
                    </table>
                </td>
                <td align="left" class="editor-field">
                    @Html.EditorFor(model => model.BankName)
                    @Html.ValidationMessageFor(model => model.BankName)
                </td>
                <td align="left" class="editor-label">
                </td>
                <td align="left" class="editor-field">
                </td>
            </tr>
        </table>
        @* <p>
            <input type="submit" value="Save" />
        </p>*@
    </fieldset>
}
<script type="text/javascript">
    $("#paydetail").hide();
    $('input[type="date"]').datepicker();
    $('input[type="date"]').attr('placeholder', 'mm/dd/yyyy');
    $('input[type="date"]').prop('type', 'text');

   

  

    
</script>